Skip to main content
GET
/
api
/
v1
/
transactions
cURL
curl --request GET \
  --url https://vpos.payven.com.tr/api/v1/transactions \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": {
    "items": [
      {
        "extraPropertiesDict": {},
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "merchantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "externalMerchantId": "<string>",
        "merchantName": "<string>",
        "basketId": "<string>",
        "externalId": "<string>",
        "amount": 123,
        "netAmount": 123,
        "currency": "<string>",
        "status": "Created",
        "operationType": "Sale",
        "paymentType": "Card",
        "binNumber": 123,
        "last4": "<string>",
        "cardHolderName": "<string>",
        "maskedCardNumber": "<string>",
        "cardSchemaType": "Visa",
        "cardBrand": "Bonus",
        "cardType": "Credit",
        "issuerBankCode": "<string>",
        "issuerBankName": "<string>",
        "issuerBankLogoUrl": "<string>",
        "is3DSecure": true,
        "secureType": "Non3D",
        "installmentCount": 123,
        "created": "2023-11-07T05:31:56Z",
        "completedAt": "2023-11-07T05:31:56Z",
        "errorMessage": "<string>",
        "connectorConfigurationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "connectorConfigurationName": "<string>",
        "connectorCode": "<string>",
        "installmentAmount": 123,
        "bankCommissionAmount": 123,
        "merchantCommissionAmount": 123,
        "netMerchantAmount": 123,
        "settlementDate": "2023-11-07T05:31:56Z",
        "bankResponseCode": "<string>",
        "mdStatus": "Unknown",
        "providerTransactionId": "<string>",
        "authCode": "<string>",
        "hostReference": "<string>",
        "rrn": "<string>"
      }
    ],
    "pageNumber": 123,
    "totalPages": 123,
    "totalCount": 123,
    "hasPreviousPage": true,
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

Page
integer<int32>
PageSize
integer<int32>
StartDate
string<date-time>
EndDate
string<date-time>
Status
enum<integer>
Available options:
Created,
Processing,
Authorized,
Completed,
Failed,
Refunded,
Canceled,
CanceledProcessing,
RefundProcessing,
ThreeDSecureInitProcessing,
ThreeDSecureAuthProcessing,
CaptureProcessing
OperationType
enum<integer>
Available options:
Sale,
PreAuth,
PostAuth,
Void,
Refund,
Recurring
PaymentType
enum<integer>
Available options:
Card,
Wallet,
BkmExpress,
BankTransfer,
Link
SecureType
enum<integer>
Available options:
Non3D,
ThreeDSv1,
ThreeDSv2,
ThreeDPay
CardSchemaType
enum<integer>
Available options:
Visa,
MasterCard,
Amex,
Troy,
UnionPay,
Proprietary
CardType
enum<integer>
Available options:
Credit,
Debit,
Prepaid
InstallmentCount
integer<int32>
BinNumber
string
MinAmount
integer<int64>
MaxAmount
integer<int64>
MerchantId
string<uuid>
ExternalMerchantId
string
BasketId
string
ConnectorCode
string
ConnectorConfigurationId
string<uuid>
SearchTerm
string

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object